// Process-Price-Promotion-Data/Scripts/cpp-Source/Config.h
// Defines all parameters for the base price detection algorithm

// Author: Günter J. Hitsch, 2014
// Last Edited: Jihong Song, Sept. 2016

#ifndef CONFIG_H
#define CONFIG_H

// Direction:  no direction, upwardDirection, downwardDirection
enum dir {noDir, upDir, dnDir};

// // Price cut
// typedef struct pcut pcut;
// struct pcut {
//    double p;
//    double disc;
// };

const int cutoff_N_obs = 52;

const int mode_T_before = 10;
const int mode_T_after = 10;  
const double mode_percentile_cutoff = .65; 

const int loner_T_before = 10;  
const int loner_T_after = 10;  
const int loner_N = 3;  

const double tol_dollars_lower = 0.02;  
const double tol_dollars_higher = 0.02;  

const int promotion_window = 7;

const double next_base_price_percentage_factor = .9; 
const double min_base_price_percentage_factor = .95; 

const double next_price_percentage_factor = .95; 
const double min_price_percentage_factor = .95; 

const int N_adjustment_periods_up = 1; 
const int N_adjustment_periods_down = 1; 

const int cluster_T_max = 1; 
const int min_T_isolated_before = 1;  
const int min_T_isolated_after = 1;  

const int telescope_window_forward = 12;
const int telescope_window_backward = 3;

const int comparison_promotion_window = 26;  
const int N_most_recent = 4;  
const double promotion_comparison_factor = 1.2;  
const double promotion_percent_similarity_closest = 0.05;  


const int mistaken_window = 10; 
const int mistaken_window_for_initial_ps_drop = 4;  
const double mistaken_initial_threshold_factor = 0.95;  
const double mistaken_end_threshold_factor= 0.75;  

const int gap_window = 10;  


const double threshold_factor_reference_increase = 1.05;  
const double threshold_factor_reference_decrease = .95;  
const double threshold_factor_promotion = .9;  
const int mistaken_not_promoted_T_window_before = 13;  
const int mistaken_not_promoted_T_window_after = 13;  
const int mistaken_not_promoted_N_before = 3;  
const int mistaken_not_promoted_N_after = 3;  
const double mistaken_not_promoted_ratio_threshold_promotion = .5; 



#endif