rm(list=ls())
library(data.table)
library(bit64)

brand_dict_new <- readRDS("../Exported-Files/Brand-Dictionary-After-Flavor-Aggregations-180508.rds")
needs <- fread("../Information-Files/Brands-Needing-Comp-Matching.csv")
setnames(needs, c("adcomp_code", "adcomp_descr"), c("new_brand_code_uc", "new_brand_descr"))
brand_dict_new <- merge(brand_dict_new, needs[, -c("new_brand_descr")], by=c("new_module_code", "new_brand_code_uc"))

# Combine All Main Matches
ads <- rbindlist(lapply(list.files('../Matching-Files-Comp/', full.names=T), fread), fill=T)
ads <- unique(ads[, .(product_module_code, brand_code_uc, match_tier, BrandCode, BrandVariant)])

a1 <- ads[product_module_code < 10000]
a1 <- merge(a1, unique(brand_dict_new[, .(new_module_code, new_brand_code_uc, new_brand_descr,
                                          product_module_code, brand_code_uc)]),
            by=c("product_module_code", "brand_code_uc"))
a1 <- a1[, .(new_module_code, new_brand_code_uc, new_brand_descr, match_tier, BrandCode, BrandVariant)]

a2 <- ads[product_module_code > 10000]
names(a2)[1:2] <- c("new_module_code", "brand_code_uc")
a2 <- merge(a2, unique(brand_dict_new[, .(new_module_code, brand_code_uc, new_brand_code_uc, new_brand_descr)]),
            by=c("new_module_code", "brand_code_uc"))
a2 <- a2[, .(new_module_code, new_brand_code_uc, new_brand_descr, match_tier, BrandCode, BrandVariant)]

out <- unique(rbind(a1, a2, fill=T))
fwrite(out, file="../Exported-Files/All-Comp-Matches-180508.csv")




