rm(list=ls())
library(data.table)
library(bit64)

load('../Meta-Data/Products-Corrected.RData')
products <- unique(products[, .(product_module_code, product_module_descr)])
module_agg <- fread('../Information-Files/RMS-Module-Aggregation.csv')
module_agg <- module_agg[new_module_code != 30002]

products <- products[product_module_descr != ""]
products <- merge(products, module_agg[, .(product_module_code, new_module_code, new_module_descr)], all.x=T)
products[is.na(new_module_code), `:=`(new_module_code=product_module_code,
                                      new_module_descr=product_module_descr)]
out <- unique(products[, .(new_module_code, new_module_descr)])
out <- out[new_module_code >= 1000]

fwrite(out, file="../Exported-Files/Module-Names.csv")