rm(list=ls())
library(data.table)
library(ggplot2)
source('~/Dropbox/Generic-Plot-Settings-v1.R')

graph_par$round <- 4
graph_par$stat_text_xalign <- 0.8
graph_par$stat_text_height <- 0.97
graph_par$stat_move <- 1.05
graph_par$x_title_size <- 9
graph_par$axis_size <- 9
graph_par$label_size <- 9

use <- readRDS("../Processed-Data/Advertising-Residual-CV.rds")

x1 <- use[Strategy=="Regular" & Log==TRUE, sqrt(G1)/M]
x2 <- use[Strategy=="Border" & Log==TRUE, sqrt(G1)/M]

plt1 <- Custom.Hist(x1, xbreaks=seq(0,2.5,0.5), binwidth=0.05, xtitle="\"Coefficient of Variation\"\nResidual SD / Original Mean",
                    main_title="Advertising Measure: Log(1+GRP)\nFixed Effects: Store + Month + Week-of-year")
plt2 <- Custom.Hist(x2, xbreaks=seq(0,2.5,0.5), binwidth=0.05, xtitle="\"Coefficient of Variation\"\nResidual SD / Original Mean",
                    main_title="Advertising Measure: Log(1+GRP)\nFixed Effects: Store + Border-Month + Week-of-year")

ggsave("../Figures/CoefVar-Store-Regular.pdf", plt1, width=7.5, height=5)
ggsave("../Figures/CoefVar-Store-Border.pdf", plt2, width=7.5, height=5)





