rm(list=ls())
library(data.table)
library(ggplot2)
source('~/Dropbox/Generic-Plot-Settings-v1.R')

graph_par$x_title_size <- 7.5
load("../Processed-Data/Magnitude-Analysis.RData")

# Brand Level
pdf("../Figures/Scatterplot-GRP-Revenue.pdf", 6,6)
ggplot(master_brand, aes(x=1+GRP, y=1+revenue)) + settings+
  geom_point(col="navyblue", size=2) +
  scale_x_log10() + scale_y_log10() +
  labs(x="GRP (log scale)", y="Revenue in Dollars (log scale)",
       title="Total Revenue ~ Total GRP, 2011-2014\nObservation Unit: Brand")
dev.off()

pdf("../Figures/Scatterplot-Duration-Revenue.pdf", 6,6)
ggplot(master_brand, aes(x=1+Duration, y=1+revenue)) + settings+
  geom_point(col="navyblue", size=2) +
  scale_x_log10() + scale_y_log10() +
  labs(x="Duration in Hours (log scale)", y="Revenue in Dollars (log scale)",
       title="Total Revenue ~ Total Duration, 2011-2014\nObservation Unit: Brand")
dev.off()

# Total Weekly GRP







