rm(list=ls())
library(data.table)
library(ggplot2)
source('~/Dropbox/Generic-Plot-Settings-v1.R')

graph_par$x_title_size <- 7.5

use <- readRDS("../Processed-Data/Advertising-R2.rds")

use <- use[, .(new_module_code, new_brand_code_uc, Region, Strategy,
                variable="GRP", Time="Month", value=1-G1/G0)]

# Month
x1 <- use[Region=="Market" & Strategy=="Regular" & Time=="Month" & variable=="GRP", value]
x3 <- use[Region=="Market" & Strategy=="Border" & Time=="Month" & variable=="GRP", value]
x5 <- use[Region=="Store" & Strategy=="Regular" & Time=="Month" & variable=="GRP", value]
x7 <- use[Region=="Store" & Strategy=="Border" & Time=="Month" & variable=="GRP", value]

plt1 <- Custom.Hist(x1, xbreaks=seq(0,1,0.1), binwidth=0.025, xtitle="R Squared",
                    main_title="Advertising Measure: GRP\nFixed Effects: Market + Month + Week-of-year")
plt3 <- Custom.Hist(x3, xbreaks=seq(0,1,0.1), binwidth=0.025, xtitle="R Squared",
                    main_title="Advertising Measure: GRP\nFixed Effects: Border-Market + Border-Month + Week-of-year")
plt5 <- Custom.Hist(x5, xbreaks=seq(0,1,0.1), binwidth=0.025, xtitle="R Squared",
                    main_title="Advertising Measure: GRP\nFixed Effects: Store + Month + Week-of-year")
plt7 <- Custom.Hist(x7, xbreaks=seq(0,1,0.1), binwidth=0.025, xtitle="R Squared",
                    main_title="Advertising Measure: GRP\nFixed Effects: Store + Border-Month + Week-of-year")

ggsave("../Figures/Store-Regular.pdf", plt5, width=7.5, height=5)
ggsave("../Figures/Store-Border.pdf", plt7, width=7.5, height=5)
ggsave("../Figures/Market-Regular.pdf", plt1, width=7.5, height=5)
ggsave("../Figures/Market-Border.pdf", plt3, width=7.5, height=5)