rm(list=ls())
library(data.table)
library(ggplot2)
source('~/Dropbox/Generic-Plot-Settings-v1.R')
options(scipen=99)

graph_par$x_title_size <- 7.5
use <- readRDS("../Processed-Data/Ad-Intel-Variation.rds")

# Brand
pdf("../Figures/GRP-Histogram-Brand-Total.pdf", 7.5, 5)
m3 <- use[, .(GRP=sum(GRP)), .(new_module_code, new_brand_code_uc)]
ggplot(m3, aes(x=GRP)) + settings +
  geom_histogram(boundary=0, col="grey75", fill="lightblue2", binwidth=250000) +
  labs(x="Total GRP", y="Count",
       title="Distribution of Total GRP\nObservation Unit: Brand") +
  scale_x_continuous(breaks=c(0,2e6,4e6,6e6,8e6,10e6))
dev.off()

# Brand, weekly average
pdf("../Figures/GRP-Histogram-Brand-MarketWeekAverage.pdf", 7.5, 5)
m4 <- use[, .(GRP=sum(GRP)/(128*208)), .(new_module_code, new_brand_code_uc)]
ggplot(m4, aes(x=GRP)) + settings +
  geom_histogram(boundary=0, col="grey75", fill="lightblue2", binwidth=10) +
  labs(x="Average Market-Week Level GRP", y="Count",
       title="Distribution of Average Market-Week Level GRP\nObservation Unit: Brand")+
  scale_x_continuous(breaks=seq(0,400,50))
dev.off()


