rm(list=ls())
library(data.table)
library(bit64)
library(lfe)
library(RcppRoll)
library(lubridate)

custom.read <- function(file){
	x <- readRDS(paste0(dir, "/", file))
	m <- as.integer(gsub("([0-9]{4,5})-([0-9]{6,7}).rds", "\\1", file))
	b <- as.integer(gsub("([0-9]{4,5})-([0-9]{6,7}).rds", "\\2", file))
	x[, `:=`(new_module_code=m, new_brand_code_uc=b)]
	return(x)
}

dir <- "/grpshares/hitsch_shapiro_ads/data/Regression-Preferred/Regular-No-Feature"
files <- list.files(dir, full.names=F)
o1 <- rbindlist(lapply(files, custom.read), fill=TRUE)
o1[, `:=`(strategy="Regular", feature="No")]
o1 <- o1[variable %in% c("ls_GRP_13", "ls_GRP_24", "ls_GRP_Comp"), .(new_module_code, new_brand_code_uc, strategy, feature, decay, ncomp, nobs, variable, coef, se, pval)]

dir <- "/grpshares/hitsch_shapiro_ads/data/Regression-Preferred/Regular-Feature"
files <- list.files(dir, full.names=F)
o2 <- rbindlist(lapply(files, custom.read), fill=TRUE)
o2[, `:=`(strategy="Regular", feature="Yes")]
o2 <- o2[variable %in% c("ls_GRP_13", "ls_GRP_24", "ls_GRP_Comp"), .(new_module_code, new_brand_code_uc, strategy, feature, decay, ncomp, nobs, variable, coef, se, pval)]

dir <- "/grpshares/hitsch_shapiro_ads/data/Regression-Preferred/Border-No-Feature"
files <- list.files(dir, full.names=F)
o3 <- rbindlist(lapply(files, custom.read), fill=TRUE)
o3[, `:=`(strategy="Border", feature="No")]
o3 <- o3[variable %in% c("ls_GRP_13", "ls_GRP_24", "ls_GRP_Comp"), .(new_module_code, new_brand_code_uc, strategy, feature, decay, ncomp, nobs, variable, coef, se, pval)]


dir <- "/grpshares/hitsch_shapiro_ads/data/Regression-Preferred/Border-Feature"
files <- list.files(dir, full.names=F)
o4 <- rbindlist(lapply(files, custom.read), fill=TRUE)
o4[, `:=`(strategy="Border", feature="Yes")]
o4 <- o4[variable %in% c("ls_GRP_13", "ls_GRP_24", "ls_GRP_Comp"), .(new_module_code, new_brand_code_uc, strategy, feature, decay, ncomp, nobs, variable, coef, se, pval)]


dir <- "/grpshares/hitsch_shapiro_ads/data/Regression-Preferred/Naive-No-Feature"
files <- list.files(dir, full.names=F)
o5 <- rbindlist(lapply(files, custom.read), fill=TRUE)
o5[, `:=`(strategy="Naive", feature="No")]
o5 <- o5[variable %in% c("ls_GRP_13", "ls_GRP_24", "ls_GRP_Comp"), .(new_module_code, new_brand_code_uc, strategy, feature, decay, ncomp, nobs, variable, coef, se, pval)]


dir <- "/grpshares/hitsch_shapiro_ads/data/Regression-Preferred/Naive-Feature"
files <- list.files(dir, full.names=F)
o6 <- rbindlist(lapply(files, custom.read), fill=TRUE)
o6[, `:=`(strategy="Naive", feature="Yes")]
o6 <- o6[variable %in% c("ls_GRP_13", "ls_GRP_24", "ls_GRP_Comp"), .(new_module_code, new_brand_code_uc, strategy, feature, decay, ncomp, nobs, variable, coef, se, pval)]

out <- rbindlist(list(o1,o2,o3,o4,o5,o6), fill=TRUE)
out[variable=="ls_GRP_13", variable := "13"]
out[variable=="ls_GRP_24", variable := "24"]
out[variable=="ls_GRP_Comp", variable := "5"]
out <- out[!is.na(coef)]
saveRDS(out, file="/grpshares/hitsch_shapiro_ads/data/Regression-Preferred/Collected-Coefficients.rds")











