# ------------------------------------ #
# Collect Results from Residual Variation Estimation
# 
# ------------------------------------ #

rm(list=ls())
library(data.table)
library(bit64)
library(lubridate)

# change accordingly
input_dir  <- "/project/hitsch_shapiro_ads/scripts/Workspace-Ningyin/Full-Regression-Results/Residual-Var-wo-anomaly/"
output_dir <- "~/Workspace-Ningyin/Regression-wo-Anomaly-4.15.19/code/Residual-Var/output/"

input_folders <- list.dirs(input_dir,
                           recursive = TRUE)

total_out <- data.table()
for (folder in input_folders) {
  folder <- gsub("//", "/", folder)
  name <- gsub(input_dir, "", folder)
  if (name == "") {
    next
  }
  
  name_ls <- strsplit(name, "-")
  name_ls <- name_ls[[1]]
  
  strategy = name_ls[1]
  level    = name_ls[2]
  feature  = name_ls[3]
  goodwill = name_ls[4]
  cluster  = name_ls[5]
  time     = name_ls[6]
  
  out <- data.table()
  files <- list.files(folder)
  cat(name, "\n")
  cat(length(files), "\n")
  
  for (i in files) {
    sub.out <- readRDS(file = paste0(folder, "/", i))
    
    if (length(names(sub.out)) == 7) {
      print(i)
      break
      # next
    }
    out <- rbind(out, sub.out)
  }
  
  total_out <- rbind(total_out, out)
}

rm(out)

resid_var <- copy(total_out)

resid_var[, sd := coef_var * mean_ad] # by construction

save(resid_var,
     file = paste0(output_dir, "resid-var-07-03.RData"))
