
# ------------------------------------ #
# Estimation: 
# Baseline Strategy;
# Delta: 0.9
# Custering: dma_code + week_end
# level: Store
# Time: Month
# Measure: GRP
# Feature: No
# Goodwill: logsum
# Maxcomp:  3
# Maxloss: 0.2
# ------------------------------------ #

source("./Regression-Functions-Residualized.R")

strategy   = "Regular"
measure    = "GRP"
cluster = "dma_code+week_end"
level      = "Store"
feature    = "No"
goodwill   = "splines"
time       = "Month"

knots      = seq(0.1, 0.9, 0.1)

if (level == "Store") {
  fe = paste0("|store_code_uc+",
              time,
              "+WOY")
} else {
  fe = paste0("|dma_code+",
              time,
              "+WOY")
}

output_location = paste0("/project/hitsch_shapiro_ads/scripts/Workspace-Ningyin/RNR-edits/Splines/",
                         strategy,
                         "-",
                         level,
                         "-",
                         feature,
                         "-",
                         goodwill,
                         "-",
                         cluster,
                         "-",
                         time,
                         "-",
                         measure,
                         "/")

if (!dir.exists(output_location)) {
  dir.create(paste0(output_location, "Resid/"), recursive = TRUE)
  dir.create(paste0(output_location, "Adstock/"), recursive = TRUE)
}

Ad.Generalizability.Regression(output_dir = output_location,
                               strategy   = strategy,
                               delta_list = c("0.90"),
                               fixed_effect = fe,
                               clustering = cluster,
                               level = level,
                               time  = time,
                               measure = measure,
                               feature = feature,
                               goodwill = goodwill,
                               knots_quantile = knots)

