# --------------------------------- #
# Collect Estimated ROIs for Draft
#
# --------------------------------- #

rm(list = ls())

library(data.table)
library(bit64)

input_dir = "/project/hitsch_shapiro_ads/scripts/Workspace-Ningyin/Profit-Calculation/base-bootstrap-Brand-Level-Average-ROI-local-cost-observed/"
 
files <- list.files(input_dir)
files <- files[grepl(".rds", files)]
 
average_bootstrap <- data.table()
 
for (n in 1:length(files)) {
 i = files[n]
   
 sub <- readRDS(paste0(input_dir, i))
   
 average_bootstrap <- rbind(average_bootstrap, sub)
}
 
rm(sub)
 
save(average_bootstrap,
    file = "/project/hitsch_shapiro_ads/scripts/Workspace-Ningyin/RnR-Edits-2/5-ROI-Analysis-Baseline/output/average-bootstrap-observed.RData")
 
rm(average_bootstrap)


input_dir = "/project/hitsch_shapiro_ads/scripts/Workspace-Ningyin/Profit-Calculation/base-bootstrap-Brand-Level-ROI-avg-overall-observed/"
 
files <- list.files(input_dir)
files <- files[grepl(".rds", files)]
 
avg_overall_bootstrap <- data.table()
 
for (n in 1:length(files)) {
 i = files[n]
   
 sub <- readRDS(paste0(input_dir, i))
   
 sub <- sub[,.(ROI_se = sd(ROI)),
              by = .(Module, Brand, Margin, Cost, Cost.value)]
 avg_overall_bootstrap <- rbind(avg_overall_bootstrap, sub)
}
 
rm(sub)
 
save(avg_overall_bootstrap,
      file = "/project/hitsch_shapiro_ads/scripts/Workspace-Ningyin/RnR-Edits-2/5-ROI-Analysis-Baseline/output/avg-overall-bootstrap-observed.RData")
 
rm(avg_overall_bootstrap)


input_dir = "/project/hitsch_shapiro_ads/scripts/Workspace-Ningyin/Profit-Calculation/base-Brand-Level-Average-ROI-breakeven-observed/"

files <- list.files(input_dir)
files <- files[grepl(".rds", files)]

average_breakeven_observed <- data.table()

for (n in 1:length(files)) {
  i = files[n]
  
  sub <- readRDS(paste0(input_dir, i))
  
  if (!(0.15 %in% unique(sub$Margin))) {
    cat(n, "not checked!\n")
  }
  
  average_breakeven_observed <- rbind(average_breakeven_observed, sub)
}

rm(sub)

save(average_breakeven_observed,
     file = "/project/hitsch_shapiro_ads/scripts/Workspace-Ningyin/RnR-Edits-2/5-ROI-Analysis-Baseline/output/average-breakeven-observed.RData")

rm(average_breakeven_observed)


input_dir = "/project/hitsch_shapiro_ads/scripts/Workspace-Ningyin/Profit-Calculation/base-Brand-Level-ROI-avg-overall-breakeven-observed/"

files <- list.files(input_dir)
files <- files[grepl(".rds", files)]

avg_overall_breakeven_observed <- data.table()

for (n in 1:length(files)) {
  i = files[n]
  
  sub <- readRDS(paste0(input_dir, i))
  if (!(0.15 %in% unique(sub$Margin))) {
    cat(n, "not check!\n")
  }
  avg_overall_breakeven_observed <- rbind(avg_overall_breakeven_observed, sub)
}

rm(sub)

save(avg_overall_breakeven_observed,
     file = "/project/hitsch_shapiro_ads/scripts/Workspace-Ningyin/RnR-Edits-2/5-ROI-Analysis-Baseline/output/avg-overall-breakeven-observed.RData")

rm(avg_overall_breakeven_observed)

input_dir = "/project/hitsch_shapiro_ads/scripts/Workspace-Ningyin/Profit-Calculation/Brand-Level-Average-ROI-local-cost-uw/"

files <- list.files(input_dir)
files <- files[grepl(".rds", files)]

average_uw <- data.table()

for (n in 1:length(files)) {
  i = files[n]

  sub_average_uw <- readRDS(paste0(input_dir, i))

  average_uw <- rbind(average_uw, sub_average_uw)
}

rm(sub_average_uw)

save(average_uw,
     file = "~/Workspace-Ningyin/average-ROI/output/average-ROI-uw.RData")

rm(average_uw)

input_dir = "/project/hitsch_shapiro_ads/scripts/Workspace-Ningyin/Profit-Calculation/Brand-Level-Average-ROI-breakeven-uw/"

files <- list.files(input_dir)
files <- files[grepl(".rds", files)]

average_breakeven_uw <- data.table()

for (n in 1:length(files)) {
  i = files[n]

  sub <- readRDS(paste0(input_dir, i))

  average_breakeven_uw <- rbind(average_breakeven_uw, sub)
}

rm(sub)

save(average_breakeven_uw,
     file = "~/Workspace-Ningyin/average-ROI/output/average-breakeven-uw.RData")

rm(average_breakeven_uw)


input_dir = "/project/hitsch_shapiro_ads/scripts/Workspace-Ningyin/Profit-Calculation/Brand-Level-ROI-avg-overall-breakeven-uw/"

files <- list.files(input_dir)
files <- files[grepl(".rds", files)]

avg_overall_breakeven_uw <- data.table()

for (n in 1:length(files)) {
  i = files[n]

  sub <- readRDS(paste0(input_dir, i))

  avg_overall_breakeven_uw <- rbind(avg_overall_breakeven_uw, sub)
}

rm(sub)

save(avg_overall_breakeven_uw,
     file = "~/Workspace-Ningyin/average-ROI-overall/output/avg-overall-breakeven-uw.RData")

rm(avg_overall_breakeven_uw)

