library(data.table)
library(bit64)
library(tidyverse)
library(readxl)

# Build /Auxillary-Data/2014-DMA-FIPS-Table.csv

dat1 <- read_excel("/kilts/nielsen_extracts/HMS/reference_documentation/FIPS-SMM-DMA-Conversion-Table-2017.xlsx")
dat1 <- as.data.table(dat1)
setnames(dat1, c("DMACOD", "DMALONG", "COUNTY"), c("DMA#", "DMA NAME", "COUNTY NAME"))
dat1 <- dat1[,c("DMA#", "DMA NAME", "FIPS", "ST", "COUNTY NAME")]
write.csv(dat1, "./2017-DMA-FIPS-Table.csv") # might be updated from 2014 version

# Build /Auxillary-Data/DMA_and_recording_method.csv

dat2 <- fread("/kilts/adintel/Reference_Documentation/Local TV Measurement/DMAs and recording method (with DMA codes).csv")
dat2 <- dat2[, c("MarketCode", "Market_Type", "DMA_Of_Origin", "MarketName")]

# fill Market field by either "FDM" or "ADM": refer to "Spot TV FDMs.doc" and "Spot TV ADMs.doc" in Ad Intel Reference Documentation
# fill time_zone field by "ETZ", "CTZ", "MTZ", "PTZ", "YTZ": manually search
dat2[, `:=`(Market = NA, time_zone = NA)] 

write.csv(dat2, "./DMA_and_recording_method.csv")

# borders.csv, Time_Interval_spot.csv are stored in Auxiliary-Data/
