# --------------------------------- #
# Dist of Residual Variation
#
# --------------------------------- #

rm(list = ls())
library(data.table)
library(bit64)
library(lubridate)
library(Hmisc)

source("./Generic-Plot-Settings-v2.R")

load("../Data/resid-var-07-03.RData")

delta    = 0
level    = "Store"
strategy = "Regular"
feature  = "No"

data     = resid_var[Level      == level
                     & Strategy == strategy
                     & delta    == 0
                     & Feature  == feature]

Plot.Hist(data               = data,
          selected_column    = "coef_var",
          strategy_hist      = FALSE,
          selected_universe  = NA,
          normalize_selected = FALSE,
          vline_stat         = "median",
          vline_text         = TRUE,
          binwidth           = 0.05,
          x_breaks           = seq(0, 2, 0.5),
          x_name             = "Residual advertising variation",
          y_breaks           = seq(0, 40, 10),
          y_name             = "Percent",
          y_type             = "percent",
          emphasize_color    = "lightsteelblue2",
          compare_color      = NA,
          transparency       = 1,
          save_to_file       = T,
          output_location    = "../Figures/fig1_adflow.pdf",
          text_size          = 16)

delta    = 0.9
level    = "Store"
strategy = "Regular"
feature  = "No"

data     = resid_var[Level      == level
                     & Strategy == strategy
                     & delta    == 0.9
                     & Feature  == feature]

Plot.Hist(data               = data,
          selected_column    = "coef_var",
          strategy_hist      = FALSE,
          selected_universe  = NA,
          normalize_selected = FALSE,
          vline_stat         = "median",
          vline_text         = TRUE,
          binwidth           = 0.02,
          x_breaks           = seq(0, 0.5, 0.1),
          x_name             = "Residual advertising stock variation",
          y_breaks           = seq(0, 40, 10),
          y_name             = "Percent",
          y_type             = "percent",
          emphasize_color    = "lightsteelblue2",
          compare_color      = NA,
          transparency       = 1,
          save_to_file       = T,
          output_location    = "../Figures/fig1_adstock.pdf",
          text_size          = 16)
