# --------------------------------- #
# Hist for draft main-result figures
# --------------------------------- #

rm(list = ls())
library(data.table)
library(bit64)
library(lubridate)
library(Hmisc)

source("./Generic-Plot-Settings-v2.R")

load("../Data/Data-used-for-draft-top.RData")

Plot.Hist(data               = Regular_AdStock_5,
          selected_column    = NA,
          strategy_hist      = TRUE,
          selected_universe  = "significant",
          normalize_selected = FALSE,
          vline_stat         = "median",
          vline_text         = TRUE,
          binwidth           = 0.025,
          x_breaks           = seq(-0.3, 0.4, 0.1),
          x_name             = "Advertising Elasticitiy (Baseline)",
          y_breaks           = seq(0, 30, 10),
          y_name             = "Percent",
          y_type             = "percent",
          emphasize_color    = "lightsteelblue2",
          compare_color      = "gray95",
          transparency       = 1,
          save_to_file       = TRUE,
          output_location    = paste0("../Figures/",
                                      "fig4_comp.pdf"),
          text_size          = 16)

load("../Data/Data-used-for-draft-umbrella.RData")

Plot.Hist(data               = Regular_AdStock_24,
          selected_column    = NA,
          strategy_hist      = TRUE,
          selected_universe  = "significant",
          normalize_selected = FALSE,
          vline_stat         = "median",
          vline_text         = TRUE,
          binwidth           = 0.025,
          x_breaks           = seq(-0.3, 0.3, 0.1),
          x_name             = "Advertising Elasticitiy (Baseline)",
          y_breaks           = seq(0, 40, 10),
          y_name             = "Percent",
          y_type             = "percent",
          emphasize_color    = "lightsteelblue2",
          compare_color      = "gray95",
          transparency       = 1,
          # save_to_file = FALSE,
          save_to_file       = TRUE,
          output_location    = paste0("../Figures/",
                                      "fig4_affiliated.pdf"),
          text_size          = 16)
